Package com.sas.services.information.metadata

# Class SoftwareComponentAttributes

java.lang.Object
com.sas.services.information.metadata.SoftwareComponentAttributes

All Implemented Interfaces:
  `Serializable`

public class SoftwareComponentAttributes extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoftwareComponentAttributes()`
  `SoftwareComponentAttributes(String softwareVersion, int major, int minor, String vendor, String specVersion, String specVendor, String vendorIdentifier, String classIdentifier, String productName, String platform, String productIdentifier)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getClassIdentifier()`
  `final int`
  `getMajor()`
  `final int`
  `getMinor()`
  `final String`
  `getPlatform()`
  `final String`
  `getProductIdentifier()`
  `final String`
  `getProductName()`
  `final String`
  `getSoftwareVersion()`
  `final String`
  `getSpecVendor()`
  `final String`
  `getSpecVersion()`
  `final String`
  `getVendor()`
  `final String`
  `getVendorIdentifier()`
  `final void`
  `setClassIdentifier(String classIdentifier)`
  `final void`
  `setMajor(int major)`
  `final void`
  `setMinor(int minor)`
  `final void`
  `setPlatform(String platform)`
  `final void`
  `setProductIdentifier(String prorductIdentifier)`
  `final void`
  `setProductName(String productName)`
  `final void`
  `setSoftwareVersion(String softwareVersion)`
  `final void`
  `setSpecVendor(String specVendor)`
  `final void`
  `setSpecVersion(String specVersion)`
  `final void`
  `setVendor(String vendor)`
  `final void`
  `setVendorIdentifier(String vendorIdentifier)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SoftwareComponentAttributes

    public SoftwareComponentAttributes()

  - ### SoftwareComponentAttributes

    public SoftwareComponentAttributes(String softwareVersion, int major, int minor, String vendor, String specVersion, String specVendor, String vendorIdentifier, String classIdentifier, String productName, String platform, String productIdentifier)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getClassIdentifier

    public final String getClassIdentifier()

  - ### setClassIdentifier

    public final void setClassIdentifier(String classIdentifier)

  - ### getMajor

    public final int getMajor()

  - ### setMajor

    public final void setMajor(int major)

  - ### getMinor

    public final int getMinor()

  - ### setMinor

    public final void setMinor(int minor)

  - ### getPlatform

    public final String getPlatform()

  - ### setPlatform

    public final void setPlatform(String platform)

  - ### getProductName

    public final String getProductName()

  - ### setProductName

    public final void setProductName(String productName)

  - ### getProductIdentifier

    public final String getProductIdentifier()

  - ### setProductIdentifier

    public final void setProductIdentifier(String prorductIdentifier)

  - ### getSoftwareVersion

    public final String getSoftwareVersion()

  - ### setSoftwareVersion

    public final void setSoftwareVersion(String softwareVersion)

  - ### getSpecVendor

    public final String getSpecVendor()

  - ### setSpecVendor

    public final void setSpecVendor(String specVendor)

  - ### getSpecVersion

    public final String getSpecVersion()

  - ### setSpecVersion

    public final void setSpecVersion(String specVersion)

  - ### getVendor

    public final String getVendor()

  - ### setVendor

    public final void setVendor(String vendor)

  - ### getVendorIdentifier

    public final String getVendorIdentifier()

  - ### setVendorIdentifier

    public final void setVendorIdentifier(String vendorIdentifier)